import java.applet.*;
import java.net.*;

public class LoadAudioClip {
    public static AudioClip make(String ss) {
        AudioClip fanfare;
        String sCurrentDir= System.getProperty("user.dir");
        String soundURLstring = "file:///" + sCurrentDir + "/" + ss;
        soundURLstring = soundURLstring.replace('\\', '/');
        URL soundURL = null;
        try {
            soundURL = new URL(soundURLstring);
            fanfare = Applet.newAudioClip(soundURL);
        } catch (Exception e) {
            fanfare = null;
        }
        //if (fanfare != null) fanfare.play();
        return fanfare;
    }
}
